/****************************************************************
*
* Copyright (C) 2004 SignalQuest, Inc.
*
*----------------------------------------------------------------
* All software and related documentation is provided "AS IS" and 
* without warranty or support of any kind and SignalQuest 
* expressly disclaims all other warranties, express or implied, 
* including, but not limited to, the implied warranties of 
* merchantability and fitness for a particular purpose. Under no 
* circumstances shall SignalQuest be liable for any 
* incidental, special or consequential damages that result from 
* the use or inability to use the software or related 
* documentation, even if SignalQuest has been advised of 
* the liability.
*
* Unless otherwise stated, software written and copyrighted by 
* SignalQuest is distributed as "freeware". You may use 
* and modify this software without any charge or restriction. 
* You may distribute to others, as long as the original author 
* is acknowledged.
*
*****************************************************************
* 
* Project:  SignalQuest Serial Communications DLL
*
* File:    Dcb32.h
*
* History:
*   Version 1.5 (2004-08-30)
*
****************************************************************/


// From Mark Nelson's Guide to Windows Serial Communications, Chapter 12 demo
// http://www.dogma.net/markn/serial2/serial2.htm
// Used with permission from author
// Modified to work with SignalQuest proprietary sensor technology interface


//
//  DCB32.H
//
//  Source code from:
//
//  Serial Communications: A C++ Developer's Guide, 2nd Edition
//  by Mark Nelson, M&T Books, 1999
//
//  Please see the book for information on usage.
//
// This file contains the class definition for my private Dcb32
// class. This guy is used internally by the Win32Port class to
// hold the current DCB. It exists only because I can put in a
// few convenience functions that are used to initialize
// members of the DCB. They make code elsewhere in the program
// a lot less cluttered.
//

#ifndef _DCB32_H
#define _DCB32_H

#include <windows.h>

struct Dcb32 : public DCB
{
    Dcb32();
    void SetBaudRate( int rate );
    void SetParity( int parity, LONG &error );
    void SetWordLength( int word_length, LONG &error );
    void SetStopBits( int stop_bits, LONG &error );
    void SetDtr( int value );
    void SetRts( int value );
    void SetXonXoff( int value );
    void SetDtrDsr( int value );
    void SetRtsCts( int value );
};

#endif // #ifndef _DCB32_H

//EOF DCB32.H

