/****************************************************************
*
* Copyright (C) 2004 SignalQuest, Inc.
*
*----------------------------------------------------------------
* All software and related documentation is provided "AS IS" and 
* without warranty or support of any kind and SignalQuest 
* expressly disclaims all other warranties, express or implied, 
* including, but not limited to, the implied warranties of 
* merchantability and fitness for a particular purpose. Under no 
* circumstances shall SignalQuest be liable for any 
* incidental, special or consequential damages that result from 
* the use or inability to use the software or related 
* documentation, even if SignalQuest has been advised of 
* the liability.
*
* Unless otherwise stated, software written and copyrighted by 
* SignalQuest is distributed as "freeware". You may use 
* and modify this software without any charge or restriction. 
* You may distribute to others, as long as the original author 
* is acknowledged.
*
*****************************************************************
* 
* Project:  SignalQuest Serial Communications DLL Demo Program in VC++
*
* File:    SQdllFuncProt.h
*
* History:
*   Version 1.5 (2004-08-30)
*
****************************************************************/


// SQDLLFuncProt.h




// Ensure header is only included once per module
#ifndef _SQDLLFUNCPROT
#define _SQDLLFUNCPROT




extern "C" __declspec (dllexport) LONG SQConfig(
	LONG liMode,
	LONG liBuffSize,
	LONG liRS232Timeout,
	LONG * liRetVal1,
	LONG * liRetVal2);


extern "C" __declspec (dllexport) LONG SQOpenPort(
	LONG liCOMPort,
	LONG liBaudRate,
	LPSTR lpszParity,
	LONG liWordSize,
	LONG liStopBits,
	LONG liXonXoff,
	LONG liRtsCts,
	LONG liDtrDsr);


extern "C" __declspec (dllexport) LONG SQClosePort(
	LONG liCOMPort);


extern "C" __declspec (dllexport) LONG SQResetDevice(
	LONG liCOMPort);


extern "C" __declspec (dllexport) LONG SQClearLatchedError(
	LONG liCOMPort);


extern "C" __declspec (dllexport) LONG SQGetData2(
	LONG liCOMPort,
	FLOAT * pfValue1,
	FLOAT * pfValue2,
	LONG * pliPacketCount,
	LONG * pliPacketError,
	LONG * pliLatchedError,
	LONG * pliBytesInBuffer);


extern "C" __declspec (dllexport) LONG SQFindFirstDevice(
	LONG liStartCOM,
	LONG liEndCOM,
	LONG liBaudRate,
	LPSTR lpszParity,
	LONG liWordSize,
	LONG liStopBits,
	LONG liXonXoff,
	LONG liRtsCts,
	LONG liDtrDsr);


extern "C" __declspec (dllexport) LONG SQGetErrorString(
	LONG liErrorCode,
	LONG liBuffSize,
	LPTSTR lptszBuffer);


extern "C" __declspec (dllexport) LONG SQReadCTS(
	LONG liCOMPort,
	LONG * pliCTSStatus);

	
extern "C" __declspec (dllexport) LONG SQReadDSR(
	LONG liCOMPort,
	LONG * pliDSRStatus);

	
extern "C" __declspec (dllexport) LONG SQWriteRTS(
	LONG liCOMPort,
	LONG liRTSStatus);

	
extern "C" __declspec (dllexport) LONG SQWriteDTR(
	LONG liCOMPort,
	LONG liDTRStatus);




#endif
